
Having been received into the Catholic Church, Ackland and Turpin were re-married at Westminster Cathedral eight days after their civil marriage at the Westminster Registrar's Office. She wore a white dress and a nun-like coif for her head to cover the fact that she had had her hair Eton-cropped the morning of the wedding. The short haircut made her look extremely boyish and shocked the assembled guests, much to her delight. 
From the beginning, the marriage was not a happy one. Ackland was in a lesbian relationship (with Foster) at the time, and Turpin had enjoyed homosexual relationships. After an early dinner on their wedding day, the newlyweds drove to a nursing home, where Turpin had a minor operation the next morning, and stayed in hospital for a week. Later they were unable to consummate the marriage, since Ackland found sexual intercourse too painful. 
